#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF3,0x3D,0x74,0x45,0x9F,0x41,0xAA,0x87,0x5B,0x3D,0x45,0xEB,
		0xFC,0x89,0xDD,0x4A,0x6E,0x0E,0xC5,0xEF,0x3D,0x80,0x47,0x04,
		0x42,0x9F,0x98,0x1C,0xDA,0xAF,0x55,0x49,0x69,0xA6,0x06,0x14,
		0x48,0x8C,0x67,0xDC,0x6C,0x40,0x95,0x16,0x9B,0xC8,0x13,0x85,
		0xEE,0x74,0xD5,0x37,0xDC,0xB8,0x76,0x74,0x3E,0x7C,0xF9,0xD2,
		0xDF,0xE5,0x09,0xE3,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
